import { httpRequest } from '@/services/http'

/**
 * 获取现货行情
 */
export function querySpotGoodsPrice(params: Model.SpotGoodsPriceReq) {
    return httpRequest<Model.SpotGoodsPriceRsp[]>('/Ferroalloy/GetSpotGoodsPrice', 'get', params);
}

/**
 * 查询行情-现货列表
 */
export function querySpotgoodsPrice(params?: Model.SpotgoodsPriceReq) {
    return httpRequest<Model.SpotgoodsPriceRsp[]>('/Ferroalloy/QuerySpotgoodsPrice', 'get', params);
}

/**
 * 查询现货行情配置表
 */
export function queryThjSpotQuoteConfig() {
    return httpRequest<Model.ThjSpotQuoteConfigRsp[]>('/Ferroalloy/QueryThjSpotQuoteConfig', 'get');
}